## org.openorb.CORBA.dii
Class ExceptionList

    java.lang.Object
      |
      +--org.omg.CORBA.ExceptionList
            |
            +--org.openorb.CORBA.dii.ExceptionList

public class ExceptionList
extends ExceptionList

This class implements the OMG class : ExceptionList. It is used when a client wants to make a remote call in order to specify what kind of exception could be raised by the remote application. The exception list does not contain exceptions byt exceptions typecodes.

Version:
  $Revision: 1.6 $ $Date: 2002/07/16 11:17:59 $
Author:
  Jerome Daniel

Constructor Summary
`ExceptionList()` Constructor

Method Summary
`void` `add(TypeCode exc)` Add an item into the list
`int` `count()` Return the list size
`TypeCode` `item(int index)` Return an item
`void` `remove(int index)` Remove an item

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionList

    public ExceptionList()

  Constructor

Method Detail

### count

    public int count()

  Return the list size
  Overrides:
    `count` in class `ExceptionList`

### add

    public void add(TypeCode exc)

  Add an item into the list
  Overrides:
    `add` in class `ExceptionList`

### item

    public TypeCode item(int index)
                  throws Bounds

  Return an item
  Overrides:
    `item` in class `ExceptionList`

### remove

    public void remove(int index)
                throws Bounds

  Remove an item
  Overrides:
    `remove` in class `ExceptionList`